List Integrations
curl --request GET \
--url https://api.veryfront.com/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "gmail",
"display_name": "Gmail",
"icon": "gmail.svg",
"description": "Read and send emails via Gmail API",
"auth_type": "oauth2",
"tool_count": 3,
"prompt_count": 2,
"project_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
},
"project_user_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
}
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
},
"total": 123
}{
"error": "<string>",
"message": "<string>"
}List Integrations
Lists available integrations.
GET
/
integrations
List Integrations
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Deprecated. Version is now baked into the package.
Search query to filter integrations
Example:
"email"
Cursor.
Example:
"gmail"
Required range:
1 <= x <= 100Example:
20
Sort field. Defaults to "name".
Available options:
name Sort order. Defaults to "asc".
Available options:
asc, desc ⌘I